/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package zulu.morph;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.Map;

/**
 * Date - 24 Sep 2014
 * @author NkosanaM
 */

/*
* Class that stores the token and multipulates it.
*/
public class Token {
    private char[] result;
    public  String word;
    private String prefix;
    private String suffix;      
    private ArrayList<String> possibleNClasses;
    public Map<String,String> aQueue;
    public Token (String word){
        this.word = word;
        aQueue = new HashMap<String,String>();
        possibleNClasses = new ArrayList();
    }
    
    public char[] getResultBuffer(){
        return result;
    }
    
    public void addToQueue(String key, String word){
        aQueue.put(key, word);
    }
    
    public void printTaggedWord(){
      for(String key: aQueue.keySet()){
          System.out.println(key);
          System.out.println(aQueue.get(key));
      }
      
    }
    public void populateNClasses(String[] word){
        for (int i  = 0; i < word.length; i++){
            possibleNClasses.add(word[i]);
        }
 
    }
    public void updateWord(String aWord){
        word = aWord;
    }
    
    public void setSuffixType(String suf){
        suffix = suf;
    }
    
    public void setPrefixType(String pre){
        prefix = pre;
    }
    
    public boolean checkMap(String key){
        return aQueue.containsKey(key);
    }
    
    public String getSuffix(){
        return suffix;
    }
    public String getWord(String key){
        return aQueue.get(key);
    }
    
    public String getWord(){
        return word;
    }
    
}
