<!DOCTYPE HTML>

<html>
	<head>
		<title>Cinga Results</title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<meta name="description" content="" />
		<meta name="keywords" content="" />
		<link href="http://fonts.googleapis.com/css?family=Open+Sans:300,800" rel="stylesheet" type="text/css" />
		<link href="http://fonts.googleapis.com/css?family=Oleo+Script:400" rel="stylesheet" type="text/css" />
		<link rel="stylesheet" href="scripts/css/style.css" />
		<link rel="stylesheet" href="scripts/css/widgets_search.css" />
		<script type="text/javascript" src = "scripts/js/jquery-2.1.1.js"></script>
		<script type="text/javascript" src = "scripts/js/jquery.dotdotdot.js"></script>

	</head>
	<body class="no-sidebar" link="#C0C0C0" vlink="#808080" alink="#FF0000">
		<!-- Header Wrapper -->
			<div id="header-wrapper">
				<div class="container">
					<div class="row">
						<!-- Header -->
						<header id="header">
							<!-- Logo -->
							<div id="logo">
								<h1><a href="index.php" id="logo">Cinga</a></h1>
								<form class  = "searchForm cf" action = "search_r.php" method = "post">
									<!-- Search Bar -->
									<input class = 'searchBar' type="text" id="searchIn" name = "searchIn" value = 
									<?php
									if (@@$_POST['searchIn'] > "") {
									    echo '"' . @$_POST['searchIn'] . '"';
									} else {
									    echo '"' . @$_GET['searchIn'] . '"';
									}
									?> required autofocus>
									<button id = "search_submit" type = "submit" name = "submit">Search</button>
									<!-- Radion Buttons -->
									Language:<input type="radio" name="lang" value="en" required <?php
									if (@$_POST['lang'] == 'en' or @$_GET['lang'] == 'en') {
									    echo "checked";
									}
									?>>English  
																		<input type="radio" name="lang" value="zu"<?php
									if (@$_POST['lang'] == 'zu' or @$_GET['lang'] == 'zu') {
									    echo "checked";
									}
									?>>IsiZulu<br>	
								</form>				
							</div>
						</header>
					</div>
				</div>
			</div>
		<!-- Main Wrapper -->
			<div id="main-wrapper">
				<div id = "search_results">

				<?php
					include 'scripts/trans_API_Call.php';
					include 'scripts/search_handler.php';

					//display 10 results per page
					$num_rows = 10;
					$aQueryHandler = new ExecuteQueries();
					$aQuery = "";

					//variable used to track the page number
					if (isset($_GET['row'])) {
					    $start_row = $_GET['row'];
					    $aQuery = $_GET['searchIn'];
					    $aQueryHandler->runQuery($aQuery, $start_row);
					} 
					else {
					    $start_row = 0;
					    $langSelected = @$_POST['lang'];
					    $aQuery = @$_POST['searchIn'];
					    if ($langSelected === 'en') {
					        $aQuery = initTranslation($aQuery);
							$aQueryHandler->runQuery($aQuery, $start_row);
					    }
					    
					    //default will always be Zulu
					    else if ($langSelected === 'zu') {
					        $aQueryHandler->runQuery($aQuery, $start_row);
					    }
					}
					$num_found = $aQueryHandler->getNumFound();

					function getSearch() {
					    if (is_null(@$_GET['searchIn'])) {
					        $search = $_POST['searchIn'];
					    } else {
					        $search = $_GET['searchIn'];
					    }
					    return $search;
					}

					function getLang() {
					    if (is_null(@$_GET['lang'])) {
					        $search = $_POST['lang'];
					    } else {
					        $search = $_GET['lang'];
					    }
					    return $search;
					}
				?>
				</div>
			</div>
		</div>
	<script type="text/javascript">
		$(document).ready(function(){

			$('.result_text').dotdotdot({
				ellipsis	: '... ',
				wrap		: 'word',
				fallbackToLetter: true,
				height		: 100,
			});
		});

	</script>
	</body>
	<footer>
		<?php
			if (isset($num_found)) {
			    if ($num_found > 0) {
			        echo "<br>Showing " . $num_rows . " Results (Page " . (($start_row / $num_rows) + 1) . " of " . (floor($num_found / $num_rows) + 1) . ")";
			        if ($start_row >= $num_rows) echo ' | Prev <a href="?row=' . ($start_row - $num_rows) . '&searchIn=' . getSearch() . '&lang=' . getLang() . '"> ' . $num_rows . '</a>';
			    }
			    if (($start_row < $num_found) and (($start_row + $num_rows) <= $num_found)) echo ' | Next <a href="?row=' . ($start_row + $num_rows) . '&searchIn=' . getSearch() . '&lang=' . getLang() . '"> ' . $num_rows . '</a>';
			}
		?>
	</footer>


</html>